
set datafile separator ","
set terminal png
set output 'variability_boxplot.png'

set border 2 front lt rgb "black" linewidth 1.000
set boxwidth 0.5 absolute
set style fill   solid 0.50 border lt -1
unset key
set pointsize 0.5
set style data boxplot
set xtics border in scale 0,0 nomirror norotate  autojustify
set xtics  norangelimit 
set xtics   ()
set ytics border in scale 1,0.5 nomirror norotate  autojustify
set title "Fitting Errors of 1D Function Approximation for various grids\n" 
set ylabel "Squared Error of Vertex-Difference" 

header ="`head -1 errors.csv | sed -s "s/\"//g" | sed -s "s/,/ /g"`"
set for [i=1:words(header)] xtics (word(header,i) i)
plot for [i=1:words(header)] 'errors.csv' using (i):i title columnhead lc rgb "#6E6A9C"
